org.apache.commons.math3.fitting

## Class WeightedObservedPoint

- java.lang.Object
- - org.apache.commons.math3.fitting.WeightedObservedPoint

- All Implemented Interfaces:
    java.io.Serializable

      public class WeightedObservedPoint
      extends java.lang.Object
      implements java.io.Serializable

  This class is a simple container for weighted observed point in `curve fitting`.

  Instances of this class are guaranteed to be immutable.

  Since:
    2.0
  Version:
    $Id: WeightedObservedPoint.java 1416643 2012-12-03 19:37:14Z tn $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serializable version id.
    `private double` | `weight` Weight of the measurement in the fitting process.
    `private double` | `x` Abscissa of the point.
    `private double` | `y` Observed value of the function at x.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeightedObservedPoint(double weight, double x, double y)` Simple constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getWeight()` Gets the weight of the measurement in the fitting process.
    `double` | `getX()` Gets the abscissa of the point.
    `double` | `getY()` Gets the observed value of the function at x.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version id.
      See Also:
        Constant Field Values

    - #### weight

          private final double weight

      Weight of the measurement in the fitting process.

    - #### x

          private final double x

      Abscissa of the point.

    - #### y

          private final double y

      Observed value of the function at x.

  - ### Constructor Detail

    - #### WeightedObservedPoint

          public WeightedObservedPoint(double weight,
                               double x,
                               double y)

      Simple constructor.
      Parameters:
        `weight` - Weight of the measurement in the fitting process.
        `x` - Abscissa of the measurement.
        `y` - Ordinate of the measurement.

  - ### Method Detail

    - #### getWeight

          public double getWeight()

      Gets the weight of the measurement in the fitting process.
      Returns:
        the weight of the measurement in the fitting process.

    - #### getX

          public double getX()

      Gets the abscissa of the point.
      Returns:
        the abscissa of the point.

    - #### getY

          public double getY()

      Gets the observed value of the function at x.
      Returns:
        the observed value of the function at x.

Copyright (c) 2003-2013 Apache Software Foundation